Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230394 - Review Request: mysql++ - C++ wrapper for the MySQL C API
Summary: Review Request: mysql++ - C++ wrapper for the MySQL C API
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 18:48 UTC by Remi Collet
Modified: 2010-04-03 17:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-20 06:59:03 UTC
lxtnow: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2007-02-28 18:48:33 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/mysql++.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/mysql++-2.2.1-1.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/mysql++-build.log
Description: 
MySQL++ makes working with MySQL server queries as easy as working
with STL containers.  This package contains only the libraries needed to
run MySQL++-based programs.  If you are building your own MySQL++-based
programs, you also need to install the -devel package.

--- 
rpmlint output 
W: mysql++ no-soname /usr/lib/libmysqlpp.so
=> don't know how to fix this, think it's an upstream issue
W: mysql++-debuginfo spurious-executable-perm /usr/src/debug/mysql++-2.2.1/lib/common.h
=> don't know what to do with this

Comment 1 Michael Schwendt 2007-03-01 17:52:43 UTC
> W: mysql++ no-soname /usr/lib/libmysqlpp.so

You can patch the linker options to set a soname. Even better would be
to talk to upstream and ask whether there is any reason why they don't
use a versioned soname.

> W: mysql++-debuginfo spurious-executable-perm 

chmod -x inside the extracted source archive, e.g. in %prep

Comment 2 Remi Collet 2007-03-03 08:39:03 UTC
> You can patch the linker options to set a soname. Even better would be
> to talk to upstream and ask whether there is any reason why they don't
> use a versioned soname.

I've send a message to the "plusplus" ML.

They use "bakefile" to generate the Makefile.in and i found very few
informations about this. It seems tag exist for this but i don't find a way to
make it working. And bakefile not available in RPM (i've build one for test, but
it need a lot of work, latest 0.2.2 doesn't work for mysql++ (need 0.2.0), i
don't want to be the maintener for this tools).

So t hink we'll have to keep "no-soname" for a while...

> chmod -x inside the extracted source archive, e.g. in %prep

So simple... ;)




Comment 3 Remi Collet 2007-03-19 19:05:29 UTC
Work in progress with upstream (Warren Yooung) to have .soname in next release...


Comment 4 Remi Collet 2007-04-16 08:48:31 UTC
Work with upstream done.

This new version includes a lot of changes
- soname support
- new documentation layout
- upstream specfile near the same than this one

Spec URL: http://remi.collet.free.fr/rpms/extras/mysql++.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/mysql++-2.2.2-1.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/mysql++-build.log

Mock log is devel/x86_64.

Ready for review.

Comment 5 Remi Collet 2007-04-17 17:21:52 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/mysql++.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/mysql++-2.2.3-1.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/mysql++-build.log

%changelog
* Tue Apr 17 2007 Remi Collet <rpms@FamilleCollet.com> 2.2.3-1
- update to 2.2.3, 
- del doc patch
- change BuildRoot
- add Requires mysql-devel for mysql++-devel



Comment 6 Xavier Lamien 2007-04-18 21:48:11 UTC
OK - Mock Build on FC-6 and FC-Devel (tested on i386 and i86_64 arch)
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro and subpackages usage.
OK - Meets Packaging Guidelines.
OK - License is LGPL
OK - License field in spec matches
OK - License file included in package
OK - Spec file is in American English
OK - Spec files is legible.
OK - Sources SHOULD match upstream md5sum:
2856acf395940aa02a27d2db1bfc0801  mysql++-2.2.3.tar.gz
OK - Package has correct buildroot.
OK - BuildRequires isn't redundant.
OK - Sub-packages is proper.
OK - %build and %install stages is correct and work.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package is code or permissible content.
OK - Packages and Sub-packages %doc files don't affect runtime.
OK - Package and Sub-packages has no duplicate files in %files section.
OK - Package and Sub-packages don't own any directories other packages own.
OK - Changelog section is correct.
OK - rpmlint output are silent on RPMs (including sub-package) and SRPM files.
     Soname clearly fixed.

OK - Should function as described.
OK - Should package latest version

----------
APPROVED
----------


Comment 7 Remi Collet 2007-04-19 04:50:08 UTC
New Package CVS Request
=======================
Package Name: mysql++
Short Description: C++ wrapper for the MySQL C API
Owners: Fedora@FamilleCollet.com
Branches: devel FC-6 FC-5
InitialCC: 




Comment 8 Remi Collet 2010-04-03 15:20:53 UTC
Package Change Request
======================
Package Name: mysql++
New Branches: EL-4 EL-5
Owners: remi

Comment 9 Kevin Fenzi 2010-04-03 17:33:48 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.